|  |  | Cockpit Guide |

# Part I. Deployment Guide

Table of Contents

Manual pages
  cockpit.conf — Cockpit configuration file
  cockpit-ws — Cockpit web service
  cockpit-tls — TLS proxy for Cockpit web service
  cockpit-desktop — Cockpit Desktop integration
  remotectl — Remote Access Configuration
  cockpit-bridge — Cockpit Host Bridge
SSL/TLS Usage
  HTTPS Requirement
  Certificates
  SSL Versions and Ciphers
TCP Port and Address
  Cockpit systemd Socket
  SELinux Port
  Firewalld Port
Start up
  Process exit
  Boot start up
Cockpit Authentication
  Primary server authentication
  Secondary server authentication
    Password
    Kerberos
    Public key
Single Sign On
  Server Requirements
  Client Requirements
Certificate/smart card authentication
  Identity Management setup
  Cockpit web server configuration
  Cockpit web server resource limits
Privileges and Permissions
  Customizing Polkit Privileges